@use 'partials/components/menu';
@use 'partials/mixins/highlight';
@use 'partials/components/top-bar';
@use 'partials/components/pagination';
@use 'partials/variables/cases';
@import 'partials/components/panel-content';

$case-header-height: 30px;
$case-header-grid: 5% 23% 5% 12% 15% 30% 10%;
$case-header-item-padding: 5px;

.cases-header {
  display: grid;
  width: cases.$case-row-width;
  max-height: $case-header-height;
  grid-template-columns: $case-header-grid;
}

.cases-panel-content {
  @extend %max-panel-content-base;
  // menu y starts below first bu tton label (second position from top)
  //max-height: menu.menu-panel-max-height(2);
}

.auto-overflow-y {
  overflow-y: auto;
}

.max-case-list-container {
  max-height: calc(100vh - (#{menu.$menu-button-height}) - (#{top-bar.$top-bar-height}) - (#{$case-header-height}));
}

.max-case-list-pagination-container {
  max-height: calc(100vh - (#{menu.$menu-button-height}) - (#{top-bar.$top-bar-height}) - (#{$case-header-height}) - (#{pagination.$pagination-height}));
}

.case-item {
    text-align: center;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    vertical-align: middle;
    display: inline-block;
    padding: $case-header-item-padding;
    height: 100%;
  font-weight: bold;
}

.case-expand-item {
  vertical-align: middle;
  display: inline-block;
  padding: $case-header-item-padding;
  height: 100%;
}

.case-header-description {
  vertical-align: middle;
  text-align: center;
  display: inline-block;
  padding: $case-header-item-padding;
  height: 100%;
  font-weight: bold;
}

.pagination-container {
  position: fixed;
  width: calc(100vw - #{menu.$menu-button-width});
  bottom: 0;
}
